logo
Development
Search
Query Skill List

Query Skill List

Supports querying the Skill list under a specified organization.

You can use this endpoint to query the Skill list under a specified organization.

Request Method

GET

Request URL

https://api.${endpoint}/v1/org/skill/list

Request Authentication

Uses account-level DevKey / DevSecret Basic authentication.

Request

Request Example

curl -X GET 'https://api.${endpoint}/v1/org/skill/list?org_id=p-xxxx&keyword=refund&owner_type=ORGANIZATION&enable=true' \ -H 'Authorization: Basic ${BASIC_TOKEN}'
                      
                      curl -X GET 'https://api.${endpoint}/v1/org/skill/list?org_id=p-xxxx&keyword=refund&owner_type=ORGANIZATION&enable=true' \
  -H 'Authorization: Basic ${BASIC_TOKEN}'

                    
This code block in the floating window

Request Headers

Field Type Description
Authorization Basic ${BASIC_TOKEN} The Basic Token obtained by Base64-encoding DevKey:DevSecret.
Locale String Optional. Language of the response text, defaults to en_US.

Request Parameters (Query Parameters)

Parameter Type Description required
org_id String Organization ID. true
keyword String Keyword. false
category_id String Skill category ID. false
owner_type String Skill ownership type, e.g. ORGANIZATION. false
owner_agent_id String The Agent ID that owns the private Skill. false
enable Boolean Whether to return only enabled or disabled Skills. false

Response

Response Example

{ "code": 0, "message": "OK", "data": [ { "id": "skill-xxxx", "name": "refund-policy", "display_name": "退款政策", "owner_type": "ORGANIZATION", "enable": true } ] }
                      
                      {
  "code": 0,
  "message": "OK",
  "data": [
    {
      "id": "skill-xxxx",
      "name": "refund-policy",
      "display_name": "退款政策",
      "owner_type": "ORGANIZATION",
      "enable": true
    }
  ]
}

                    
This code block in the floating window

Success Response

The response items reuse the console's Skill list fields, including Skill ID, name, description, owner, category, version, enable status, and other information.

Failure Response

Field Type Description
code Integer Error code.
message String Error details.

Status Codes

Status Code Description
200 Success
400 Parameter error
401 Unauthorized
403 Insufficient permissions
429 Too many requests
500 Server error